Index Help

Tag: security

<< First < Prev 1 2 Last >>
(10 extensions)

Password Policy

1 2 3 4 5

Revision 2.8.1 (2022-01-10)

Brasil [BR] Dansk [DK] Deutsch [DE]
English [UK] Español [ES] Français [FR]
Italiano [IT] Latviešu [LV] Magyar [HU]
Nederlands [NL] Norsk bokmål [NO] Polski [PL]
Português [PT] Slovensky [SK] Türkçe [TR]
Ελληνικά [GR] Русский [RU] Українська [UA]
中文 (简体) [CN]

About: This plugin adds password policies.

**** Important: Some features have been migrated from the UserAdvManager plugin (version < 2.50.x ) . This plugin is therefore only compatible with the 2.51.x and upper UserAdvManager versions. ****

List of plugin features :

* Complexity of passwords chosen by users (or admin) when registering
If enabled, a password complexity score must be set. All passwords chosen not respecting this score will be rejected. The administration module of the plugin allows to test the complexity configuration.

* Renewal passwords policy
Enables the management tab in plugin administration panel to list registered user and allows to manually initiate a renewal of the password of one or more registered users.
At their next login , they will be automatically redirected to their profile page and prompted to change their password. And this, until the action is performed.

* Management of failed login attempts due to incorrect password
Allows to define a maximum number of login attempts with incorrect password. Beyond this limit, the user account is locked and can no longer connect to the gallery. He should contact the administrator to request the unlocking.
The administrator can then perform the unlocking in the users management tab of the plugin where a symbol will show locked accounts.

Changes: Compatibility with Piwigo 12

Adult_content

1 2 3 4 5

Revision 2.4.6 (2021-12-16)

Brasil [BR] Česky [CZ] Dansk [DK]
Deutsch [DE] English [UK] Español [ES]
Français [FR] Italiano [IT] Latviešu [LV]
Magyar [HU] Nederlands [NL] Norsk bokmål [NO]
Polski [PL] Português [PT] Slovensky [SK]
Türkçe [TR] Ελληνικά [GR] Русский [RU]
Українська [UA]

About: 'Adult_content' helps to protect children. Mature pictures are filtered according to age. Three user groups are provided by the plugin: nothing, 16-17, 18+, allowing management of photo viewing by each group.
May be adapted for violent content.

Changes: Piwigo 12 compatibility (actually checked)

Check Files Integrity

1 2 3 4 5

Revision 0.0.20 (2021-11-05)

  • Author: plg
  • Categories: Plugin
  • Tags: security
  • Available languages: 1 (see)
  • Compatible with: Piwigo releases 12, 11
  • Downloads: 18952
English [UK]

About: Check Piwigo files for unexpected modifications

Changes: add release 12.0.0

Cookie Consent

1 2 3 4 5

Revision 12.0.0b (2021-10-16)

Brasil [BR] Català [CA] Dansk [DK]
Deutsch [DE] English [GB] English [UK]
Español [ES] Finnish [FI] Français [FR]
Français [QC] Italiano [IT] Latviešu [LV]
Nederlands [NL] Norsk bokmål [NO] Română [RO]
Slovensky [SK] Türkçe [TR] Ελληνικά [GR]
Русский [RU] Српски [SR] العربية [AR]
日本語 [JP]

About: This extension will display an overlay (partially or full-screen) with a certain text regarding cookies. You can alter the text and change the 'More Info' link.

When the user has accepted the cookies, a parameter will be set in the session table for that session so this popup wont show again.

Changes: Added:
* Dynamic validity for persistent cookies
** In plugin settings you can choose 1,7,30,90,180,365 days validity for persistent cookies.
** Default is 90 days
* New variables & translation for en_GB

Changed:
* Only load CC when consent is not given or session / cookie has been expired, thereby fixing compatibility with UserCollections plugin

Fixed:
* Compatibility with UserCollections plugin

Force HTTPS

1 2 3 4 5

Revision 12.1 (2021-09-28)

Brasil [BR] Català [CA] Česky [CZ]
Dansk [DK] Deutsch [DE] English [UK]
Español [ES] Français [FR] Italiano [IT]
Latviešu [LV] Nederlands [NL] Norsk bokmål [NO]
Polski [PL] Português [PT] Slovensky [SK]
Türkçe [TR] Ελληνικά [GR] Български [BG]
Русский [RU] Українська [UA] 中文 (简体) [CN]

About: Force HTTPS is a security plugin for Piwigo.
It allows administrators to force usage of SSL transport layer when browsing Piwigo, either globally, or on a selection of sensible pages (identification, registration ion, admin pages).

On https enabled web servers, http requests are automatically redirected to https requests.
Https requests are secured using STS (Strict Transport Security).

Please submit enhancement requests or discovered bugs on the GitHub page

Changes: Version 12.1
* Piwigo 12 compatibility

<< First < Prev 1 2 Last >>
(10 extensions)
github twitter newsletter Donate Piwigo.org © 2002-2022 · Contact